libzypp 17.38.15

transform.h File Reference
`#include <zypp-core/ng/meta/TypeTraits>`
`#include <zypp-core/ng/meta/Functional>`
`#include <algorithm>`
`#include <zypp-core/ng/pipelines/operators.h>`

Go to the source code of this file.

## Classes
struct | zyppng::detail::TransformImpl< ElementType, Fn, typename >
struct | zyppng::operators::detail::transform_helper< Transformation, sfinae >

## Namespaces
namespace | zyppng
namespace | zyppng::detail
namespace | zyppng::operators
namespace | zyppng::operators::detail

## Functions
template<template< class, class... > class Container, typename Msg, typename Transformation, typename Ret = std::result_of_t<Transformation(Msg)>, typename ... CArgs>
auto | zyppng::transform (Container< Msg, CArgs... > &&val, Transformation &&transformation)
template<template< class, class... > class Container, typename Msg, typename Transformation, typename Ret = std::result_of_t<Transformation(Msg)>, typename ... CArgs>
auto | zyppng::transform (const Container< Msg, CArgs... > &val, Transformation &&transformation)
template<typename Transformation>
auto | zyppng::operators::transform (Transformation &&transformation)